## cython 0.19+git51-g3078752

=== debian/changelog ===
cython (0.19+git51-g3078752-2) unstable; urgency=low

  [ Dmitry Smirnov ]
  * debian/cython-dbg.postinst
    - Correctly handle change from directories to symlinks for the doc
      directory (Closes #691704)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Jun 2013 14:48:11 -0400

cython (0.19+git51-g3078752-1) unstable; urgency=low

  [ Yaroslav Halchenko ]
  * Fresh upstream post-release snapshot
  * debian/upstream
    - added to facilitate referencing etc.
    - added to be installed among docs
  * debian/copyright
    - machine readable now (and correct license Apache-2.0)
  * debian/rules
    - use explicit --link-doc for dh_installdocs to get correct
      links for doc/ directories of -dbg packages
      (Closes: #683676, #691704)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 May 2013 08:53:12 -0400

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~), python-all-dbg,
               help2man (>= 1.37.1~),
               python-sphinx,
               python-numpy,
               python3-all-dev,
               python3-all-dbg,
               python3-numpy
Standards-Version: 3.9.3
Homepage: http://cython.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/

Package: cython
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python-dev, gcc
Description: C-Extensions for Python
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping for external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
Description: C-Extensions for Python - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython3
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-dev, gcc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping for external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
Description: C-Extensions for Python 3 - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: cython
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

## cython 0.19.1+git34-gac3e3a2

=== debian/changelog ===
cython (0.19.1+git34-gac3e3a2-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.
  * Removed numpy as a build depend
  * Install correct debug files
  * Added NEWS file warning of risks of FTBFS

 -- Joe Healy <joehealy@gmail.com>  Sun, 01 Sep 2013 12:24:06 +1000

cython (0.19.1+git34-gac3e3a2-1) unstable; urgency=low

  * Post bugfix-release upstream snapshot
    - among others addressed some memoryview and datetime namespace
      leakage within CPython namespace introduced in 0.19 release.
      This might (unlikely lead to FTBFS for build-dependees.
  * debian/control:
    - Fixing typo in description. Thanks Reuben Thomas. (Closes: #716756)
    - boosted policy to 3.9.4 (no further changes should be due)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Aug 2013 11:19:04 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,9 @@
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
                help2man (>= 1.37.1~),
                python-sphinx,
-               python-numpy,
                python3-all-dev,
-               python3-all-dbg,
-               python3-numpy
-Standards-Version: 3.9.3
+               python3-all-dbg
+Standards-Version: 3.9.4
 Homepage: http://cython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/
@@ -30,7 +28,7 @@
  and class attributes. This allows the compiler to generate very efficient C
  code from Cython code.
  .
- This makes Cython the ideal language for wrapping for external C libraries, and
+ This makes Cython the ideal language for wrapping external C libraries, and
  for fast C modules that speed up the execution of Python code.
 
 Package: cython-dbg
@@ -56,7 +54,7 @@
  and class attributes. This allows the compiler to generate very efficient C
  code from Cython code.
  .
- This makes Cython the ideal language for wrapping for external C libraries, and
+ This makes Cython the ideal language for wrapping external C libraries, and
  for fast C modules that speed up the execution of Python code.
 
 Package: cython3-dbg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#  Apparently WGET agent is not favored by upstream's MoinMoin
WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
WIKI_URL=http://wiki.cython.org

# Python versions
PYDEF=$(shell pyversions -dv)
PY2VERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

override_dh_auto_build:
	dh_auto_build

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py build; \
	 python$$v-dbg setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	 python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	: # Force the creation of cython3 and cygdb3 executables.
	: # Shebang lines are fixed in override_dh_install.
	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3

override_dh_installman:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :
	dh_installman build/cython.1

override_dh_install:
	dh_install

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*

	: # remove files installed from cython.install that belong in -dbg
	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete
	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete

	: # share -dbg and normal package doc dirs
	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg


override_dh_installdocs:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
	: # just faking having documentation so that dh-installdocs doesn't fail
	mkdir -p docs/build/html
else
	make -C docs html
	: # Use jquery/underscore from Debian package, so prune shipped one
	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
endif
endif
	dh_installdocs --package=cython --package=cython-dbg --link-doc=cython debian/upstream
	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
	dh_installdocs --package=cython-doc debian/upstream


override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS) $(PY3VERS); do \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="parallel" --work-dir=build/work-dir; \
	done
endif

override_dh_python2:
	dh_python2 -pcython

override_dh_python3:
	dh_python3 -pcython3


override_dh_strip:
	dh_strip -pcython --dbg-package=cython-dbg
	dh_strip -pcython3 --dbg-package=cython3-dbg

override_dh_auto_clean:
	rm -rf build
	find -name "*.py[oc]" -type f -delete

## cython 0.20.1+git90

=== Demos/freeze/Makefile ===
CC = gcc
CYTHON = ../../bin/cython
CYTHON_FREEZE = ../../bin/cython_freeze
PYTHON = python
RST2HTML = rst2html

PY_LDFLAGS = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_config_var as g; import sys; sys.stdout.write(" ".join([g("LINKFORSHARED"), "-L"+g("LIBPL")]) + "\n")')
PY_CPPFLAGS = $(shell $(PYTHON) -c 'from distutils.sysconfig import *; import sys; sys.stdout.write("-I"+get_python_inc() + "\n")')
PY_LDLIBS = $(shell $(PYTHON) -c 'from distutils.sysconfig import get_config_var as g; import sys; sys.stdout.write(" ".join(["-lpython"+g("VERSION"), g("SYSLIBS"), g("LIBS"), g("LOCALMODLIBS")]) + "\n")')

CFLAGS = -fPIC -fno-strict-aliasing -g -O2 -Wall -Wextra
CPPFLAGS = $(PY_CPPFLAGS)
LDFLAGS = $(PY_LDFLAGS)
LDLIBS = $(PY_LDLIBS)


# Name of executable
TARGETS = nCr python

# List of Cython source files, with main module first.
CYTHON_SOURCE = combinatorics.pyx cmath.pyx
CYTHON_SECONDARY = $(CYTHON_SOURCE:.pyx=.c) $(TARGETS:=.c)


all : $(TARGETS)
html : README.html

$(TARGETS) : % : %.o $(CYTHON_SOURCE:.pyx=.o)

nCr.c :
	$(CYTHON_FREEZE) $(CYTHON_SOURCE:.pyx=) > $@

python.c :
	$(CYTHON_FREEZE) --pymain $(CYTHON_SOURCE:.pyx=) > $@

%.c : %.pyx
	$(CYTHON) $(CYTHONFLAGS) $^

%.html : %.txt
	$(RST2HTML) $^ $@

clean:
	$(RM) *.o $(CYTHON_SECONDARY) $(TARGETS) README.html

.PHONY: clean
.SECONDARY: $(CYTHON_SECONDARY)

=== docs/src/reference/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

web:
	mkdir -p build/web build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

## cython 0.20.1+git90-g0e6e38e

=== debian/changelog ===
cython (0.20.1+git90-g0e6e38e-1ubuntu2) trusty; urgency=medium

  * Reenable test suite on ppc64el. Fixed by the eglibc copysign
    non-stack-trashing fix.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Apr 2014 19:27:44 +0100

cython (0.20.1+git90-g0e6e38e-1ubuntu1) trusty; urgency=medium

  * Ignore test results on ppc64el (failing numpy tests).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Mar 2014 10:21:43 +0100

cython (0.20.1+git90-g0e6e38e-1) unstable; urgency=low

  * Post-release snapshot (from 0.20.x branch).  As of now should resolve
    outstanding FTBFS against Python 3.4 (Closes: #739073, #734291)
  * debian/patches
    - deb_disable_googleanalytics - new
  * debian/control
    - addded gdb to build-depends for extended test coverage
    - boosted policy to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 25 Mar 2014 13:04:01 -0400

cython (0.20.1-1) UNRELEASED; urgency=low

  * Fresh upstream bugfix release
    - includes all the .patch'es (dropping from debian/patches)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Feb 2014 13:20:05 -0500

cython (0.20-3) unstable; urgency=low

  [ Julian Taylor ]
  * fix-skip-tests.patch: prevent python3.4 from running a disabled test
  * add debian version to watermark in generated source files

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Feb 2014 21:49:34 -0500

cython (0.20-2) unstable; urgency=low

  * signed-char.patch: Fix broken test when char type is unsigned

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 22 Jan 2014 18:58:54 +0100

cython (0.20-1) unstable; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 19 Jan 2014 00:07:47 -0500

cython (0.19.2+git5-g0c6fdf0-1) unstable; urgency=low

  * Post bugfix-releast upstream snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Nov 2013 16:43:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
+               dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
                help2man (>= 1.37.1~),
                python-sphinx,
+               python-numpy,
                python3-all-dev,
-               python3-all-dbg
-Standards-Version: 3.9.4
+               python3-all-dbg,
+               python3-numpy,
+               gdb,
+Standards-Version: 3.9.5
 Homepage: http://cython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+include /usr/share/dpkg/pkg-info.mk
 
 #  Apparently WGET agent is not favored by upstream's MoinMoin
 WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
@@ -67,6 +68,13 @@
 	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
 	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
 	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
+	# add debian version to watermark of generated files
+	set -e; for v in $(PY2VERS); do \
+	  sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
+	  debian/cython/usr/lib/python$$v/dist-packages/Cython/Compiler/Version.py; \
+	done
+	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
+	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py
 
 
 override_dh_installdocs:

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])b([0-9]*)/$1~b$2/g \
 http://cython.org/release/Cython-([0-9.]+[beta0-9]*)\.tar\.gz

## cython 0.20.2

=== debian/changelog ===
cython (0.20.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release (two more issues fixed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jun 2014 21:58:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),

## cython 0.21.1

=== debian/changelog ===
cython (0.21.1-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 18 Oct 2014 15:49:26 -0700

cython (0.21.1~pre0-1) unstable; urgency=medium

  * New upstream pre-bugfix-release
  * Moved debian/upstream to debian/upstream/metadata

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 15 Oct 2014 08:33:16 -0400

cython (0.21-1) unstable; urgency=medium

  * Recent upstream release
  * debian/watch
    - tuned up for ever changing upstream suffixes for pre-releases
  * debian/rules
    - exclude also Debugger tests for now
  * debian/patches
    - changeset_1e7d57294a595e634e56ea8087d264bb90e1ecde.diff
      to restrict tests to only when jedi >= 0.8.1

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Oct 2014 14:38:17 -0400

cython (0.20.2+git216-ga96882e-1) experimental; urgency=medium

  * Snapshot of upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jun 2014 22:01:09 -0400

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
-	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="parallel" --work-dir=build/work-dir; \
+	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="(parallel|Debugger)" --work-dir=build/work-dir; \
 	done
 endif

## cython 0.23.2+git16-ga8fbae1

=== debian/changelog ===
cython (0.23.2+git16-ga8fbae1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 13 Oct 2015 21:45:59 -0700

cython (0.23.2+git16-ga8fbae1-1) unstable; urgency=medium

  * Fresh upstream snapshot
    - added guess_longness.patch from usptream to fix failed tests on i386
      (Closes: #799364)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 23 Sep 2015 10:09:17 -0400

cython (0.23.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 15 Sep 2015 22:00:21 -0400

cython (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Redirect output of testsuite from stderr to stdout. sbuild
    currently does not check for output on stderr when deciding if a build
    timed out (see #731940 for details). This caused the build of cython to be
    killed on slower architectures. (Closes: #787234)
  * debian/control: Bump Standards-Version. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Aug 2015 11:02:35 +0200

cython (0.22.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - cython* suggest cython-doc now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Jun 2015 21:38:42 -0400

cython (0.22+git62-g9aaa667-1) unstable; urgency=medium

  * Post-release snapshot to incorporate some fixes within 0.22.x stable branch

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 May 2015 16:05:32 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>, Afif Elghraoui <afif@ghraoui.name>
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
@@ -13,7 +13,7 @@
                python3-all-dbg,
                python3-numpy,
                gdb,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/
@@ -22,6 +22,7 @@
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python-dev, gcc
+Suggests: cython-doc
 Description: C-Extensions for Python
  Cython is a language that makes writing C extensions for the Python language as
  easy as Python itself. Cython is based on the well-known Pyrex, but supports
@@ -48,6 +49,7 @@
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3-dev, gcc
+Suggests: cython-doc
 Description: C-Extensions for Python 3
  Cython is a language that makes writing C extensions for the Python language as
  easy as Python itself. Cython is based on the well-known Pyrex, but supports

## cython 0.23.3

=== debian/changelog ===
cython (0.23.3-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 18:23:32 +0200

## cython 0.23.4

=== Demos/Makefile ===
all:
	python setup.py build_ext --inplace

test:	all
	python run_primes.py 20
	python run_numeric_demo.py
	python run_spam.py
	cd callback; $(MAKE) test

clean:
	@echo Cleaning Demos
	@rm -f *.c *.o *.so *~ core
	@rm -rf build
	@cd callback; $(MAKE) clean
	@cd embed; $(MAKE) clean

=== Demos/embed/Makefile ===
# Makefile for creating our standalone Cython program
PYTHON := python
PYVERSION := $(shell $(PYTHON) -c "import sys; print(sys.version[:3])")

INCDIR := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_python_inc())")
PLATINCDIR := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_python_inc(plat_specific=True))")
LIBDIR1 := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBDIR'))")
LIBDIR2 := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBPL'))")
PYLIB := $(shell $(PYTHON) -c "from distutils import sysconfig; print(sysconfig.get_config_var('LIBRARY')[3:-2])")

CC := $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('CC'))")
LINKCC := $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKCC'))")
LINKFORSHARED := $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LINKFORSHARED'))")
LIBS := $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('LIBS'))")
SYSLIBS :=  $(shell $(PYTHON) -c "import distutils.sysconfig; print(distutils.sysconfig.get_config_var('SYSLIBS'))")

embedded: embedded.o
	$(LINKCC) -o $@ $^ -L$(LIBDIR1) -L$(LIBDIR2) -l$(PYLIB) $(LIBS) $(SYSLIBS) $(LINKFORSHARED)

embedded.o: embedded.c
	$(CC) -c $^ -I$(INCDIR) -I$(PLATINCDIR)

CYTHON := ../../cython.py
embedded.c: embedded.pyx
	@$(PYTHON) $(CYTHON) --embed embedded.pyx

all: embedded

clean:
	@echo Cleaning Demos/embed
	@rm -f *~ *.o *.so core core.* *.c embedded test.output

test: clean all
	LD_LIBRARY_PATH=$(LIBDIR1):$$LD_LIBRARY_PATH ./embedded > test.output
	$(PYTHON) assert_equal.py embedded.output test.output

=== Demos/freeze/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 TARGETS = nCr python
 
 # List of Cython source files, with main module first.
-CYTHON_SOURCE = combinatorics.pyx cmath.pyx
+CYTHON_SOURCE = combinatorics.pyx lcmath.pyx
 CYTHON_SECONDARY = $(CYTHON_SOURCE:.pyx=.c) $(TARGETS:=.c)

=== debian/changelog ===
cython (0.23.4-0ubuntu5) xenial; urgency=medium

  * Cherry-pick patch to repair deep-copying (and pickling) of the control flow
    state in compiled Cython (extension type instances lost their state).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 17:19:29 +0100

cython (0.23.4-0ubuntu4) xenial; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS due to async/3.5 test suite
    failures.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2016 15:03:02 +0000

cython (0.23.4-0ubuntu3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:07 +0000

cython (0.23.4-0ubuntu2) xenial; urgency=high

  * Turn test_async_def_future.py test-failute into XFAIL.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 14 Jan 2016 18:45:50 +0000

cython (0.23.4-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 04 Dec 2015 14:23:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>, Afif Elghraoui <afif@ghraoui.name>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
-	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="(parallel|Debugger)" --work-dir=build/work-dir; \
+	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="(parallel|Debugger)" --work-dir=build/work-dir 2>&1; \
 	done
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g \
 http://cython.org/release/Cython-([0-9.]+[beta0-9]*)\.tar\.gz

## cython 0.23.4+git4-g7eed8d8

=== debian/changelog ===
cython (0.23.4+git4-g7eed8d8-1b1) staging; urgency=medium

  * No-change rebuild for Python3.4 removal.

 -- Matthias Klumpp <mak@debian.org>  Sun, 10 Jul 2016 10:33:52 +0200

cython (0.23.4+git4-g7eed8d8-1) unstable; urgency=medium

  * Fresh upstream post bugfix release snapshot
  * patches/deb-reproducible.patch - deterministically sort items for
    reproducible execution.  Thanks Chris Lamb (Closes: #806493)
  * patches/guess_longness.patch - dropped since this release includes it

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 19 Feb 2016 10:12:47 -0500

## cython 0.24.1

=== debian/changelog ===
cython (0.24.1-2) unstable; urgency=medium

  * patches/deb_nopngmath
    - disable pngmath sphinx extension (deprecated)
  * debian/rules
    - call 'make clean' and remove possible Cython.egg-info and docs/build
      to clean sources fully (Closes: #833951)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Aug 2016 13:50:15 -0400

cython (0.24.1-1) unstable; urgency=medium

  [ Alexis Bienvenüe <pado@passoire.fr> ]
  * Fix copyright year in documentation for reproducible build
    (Closes: #820183)

  [ Yaroslav Halchenko ]
  * Fresh upstream release (Closes: #830645)
    - addresses additional reproducible build issues (Closes: #806493)
      please open NEW bugreport if additional issues persist
  * debian/watch
    - monitor pypi for release tarballs

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Aug 2016 18:21:43 -0400

cython (0.23.4+git4-g7eed8d8-2) unstable; urgency=medium

  * Do all manipulations on -arch dependent pieces within
    override_dh_install-arch (Closes: #806011)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jul 2016 19:01:22 -0400

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,10 @@
 	grep -q 'ImportError:' build/cython.1 && exit 1 || :
 	dh_installman build/cython.1
 
-override_dh_install:
+override_dh_install-indep:
+	dh_install
+
+override_dh_install-arch:
 	dh_install
 
 	: # fix shebang
@@ -119,6 +122,7 @@
 	dh_strip -pcython3 --dbg-package=cython3-dbg
 
 override_dh_auto_clean:
-	rm -rf build
+	make clean
+	rm -rf Cython.egg-info docs/build
 	find -name "*.py[oc]" -type f -delete

## cython 0.25.2~b0

=== debian/changelog ===
cython (0.25.2~b0-1) unstable; urgency=medium

  * Fresh upstream beta bugfix release (Closes: #842296)
  * Tools/cython-mode.el installed under usr/share/emacs/site-lisp as a
    part of cython package (there is no -common yet, and python still 
    defaults to 2) (Closes: #794844)
  * Pass --shard_count= to runtests.py to run tests in parallel to
    speed up package build time. Although we do not parallelize build,
    tests are consuming significant portion of build time (Closes: #750841)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Nov 2016 22:42:00 -0500

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 PYDEF=$(shell pyversions -dv)
 PY2VERS=$(shell pyversions -vr)
 PY3VERS=$(shell py3versions -vr)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
+endif
 
 # In case matplotlib or anything else inquires
 export HOME=$(CURDIR)/build
@@ -106,7 +111,8 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
-	  /usr/bin/python$$P runtests.py --no-refnanny -v -v --exclude="(parallel|Debugger)" --work-dir=build/work-dir 2>&1; \
+	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
+        --no-refnanny -v -v --exclude="(parallel|Debugger|annotate_html)" --work-dir=build/work-dir 2>&1; \
 	done
 endif

## cython 0.25.2

=== Makefile ===
PYTHON?=python
TESTOPTS?=
REPO = git://github.com/cython/cython.git

all:    local 

local:
	${PYTHON} setup.py build_ext --inplace

TMPDIR = .repo_tmp
.git: .gitrev
	rm -rf $(TMPDIR)
	git clone -n $(REPO) $(TMPDIR)
	cd $(TMPDIR) && git reset -q "$(shell cat .gitrev)"
	mv $(TMPDIR)/.git .
	rm -rf $(TMPDIR)
	git ls-files -d | xargs git checkout --

repo: .git


clean:
	@echo Cleaning Source
	@rm -fr build
	@rm -f *.py[co] */*.py[co] */*/*.py[co] */*/*/*.py[co]
	@rm -f *.so */*.so */*/*.so 
	@rm -f *.pyd */*.pyd */*/*.pyd 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@rm -f Cython/Compiler/*.c
	@rm -f Cython/Plex/*.c
	@rm -f Cython/Tempita/*.c
	@rm -f Cython/Runtime/refnanny.c
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD TEST_TMP

test:	testclean
	${PYTHON} runtests.py -vv ${TESTOPTS}

s5:
	$(MAKE) -C Doc/s5 slides

=== debian/changelog ===
cython (0.25.2-2build3) artful; urgency=medium

  * Temporarily drop the numpy build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Sep 2017 08:11:38 +0200

cython (0.25.2-2build2) artful; urgency=medium

  * No-change rebuild to build without the _fpectl extension.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Sep 2017 08:01:29 +0200

cython (0.25.2-2build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:22:05 +0000

cython (0.25.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch relative-paths: encode relative paths in generated C code,
    to make it build reproducibly. Closes: #849328

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 30 Jul 2017 12:21:05 +0000

cython (0.25.2-1) unstable; urgency=medium

  * Upstream release
    - resolves issues with complex numbers' powers (Closes: #846268)
    - includes lshift_32bit_ftbfs.patch
    - various other fixes
  * debian/rules
    - skip for now numpy_test test leading to FTBFS (Closes: #848753)
      reported upstream: https://github.com/cython/cython/issues/1589
  * debian/patches
    - debup_verify_resolution_GH1533 as a workaround for 
      https://github.com/cython/cython/issues/158

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Jan 2017 17:04:46 -0500

cython (0.25.2~b0-2) unstable; urgency=medium

  * Patch lshift_32bit_ftbfs.patch absorbing two latest fixes from upstream
    to resolve failing tests on i386 etc. Thanks Tobias Hansen for preping
    the patch (Closes: #845696)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2016 22:01:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
                help2man (>= 1.37.1~),
                python-sphinx,
-               python-numpy,
+#               python-numpy,
                python3-all-dev,
                python3-all-dbg,
-               python3-numpy,
+#               python3-numpy,
                gdb,
 Standards-Version: 3.9.6
 Homepage: http://cython.org/

=== debian/rules ===
--- 
+++ 
@@ -112,7 +112,7 @@
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
-        --no-refnanny -v -v --exclude="(parallel|Debugger|annotate_html)" --work-dir=build/work-dir 2>&1; \
+        --no-refnanny -v -v --exclude="(parallel|Debugger|annotate_html|numpy_test)" --work-dir=build/work-dir 2>&1; \
 	done
 endif

## cython 0.26.1

=== debian/changelog ===
cython (0.26.1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build dependencies on versioned pythonX.Y packages.
  * Set priority of -dbg packages to optional.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Nov 2017 12:28:03 +0100

cython (0.26.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-add the build dependencies on python-numpy/python3-numpy.
  * Don't ignore test results anymore.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 17:46:58 +0200

cython (0.26.1-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * Ignore test results for this build without numpy build dependencies.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Sep 2017 02:16:32 +0200

cython (0.26.1-0.1) unstable; urgency=high

  * Non-maintainer upload, ack'ed by Ximin Luo.
  * New upstream bug fix release.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 16:32:16 +0200

cython (0.26-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * "No-change" rebuild to build without the _fpectl extension.
  * Tighten the build dependencies for the pythonX.Y packages (can be dropped
    again once the pythonX.Y packages are available everywhere).
  * Temporarily drop the numpy build dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Sep 2017 09:53:24 +0200

cython (0.26-2) unstable; urgency=medium

  * Install cython.1 manpage only in cython arch-dep package. (Closes: #873394)

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 16:32:52 +0200

cython (0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #872710)
  * Remove patch relative-paths, made obsolete by other changes upstream.
  * Condition the numpy Build-Deps on <!nocheck>. (Closes: #870426)

 -- Ximin Luo <infinity0@debian.org>  Sat, 26 Aug 2017 16:57:53 +0200

cython (0.26~b0+git23-ga4fb856ac-2) experimental; urgency=medium

  * Team upload.
  * Add patch relative-paths: encode relative paths in generated C code,
    to make it build reproducibly. Closes: #849328

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jul 2017 20:18:22 +0000

cython (0.26~b0+git23-ga4fb856ac-1) experimental; urgency=medium

  * Fresh upstream pre-release snapshot which hopefully resolves detected
    issues (segfaults on older debian/ubuntus, int doctests issue etc)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Jul 2017 12:08:49 -0400

cython (0.26~b0-1) experimental; urgency=medium

  * Beta upstream release (Closes: #865453)
  * debian
    - boosted compat to 9
    - added dh-python to b-depends
    - boosted policy to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2017 23:33:40 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
+               dh-python,
                dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
                help2man (>= 1.37.1~),
                python-sphinx,
-#               python-numpy,
+               python-numpy (>= 1:1.12.1-3.1) <!nocheck>,
                python3-all-dev,
                python3-all-dbg,
-#               python3-numpy,
+               python3-numpy (>= 1:1.12.1-3.1) <!nocheck>,
                gdb,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://cython.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/
@@ -39,7 +40,7 @@
 Package: cython-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
 Description: C-Extensions for Python - debug build
  This package contains Cython libraries built against versions of
@@ -66,7 +67,7 @@
 Package: cython3-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
 Description: C-Extensions for Python 3 - debug build
  This package contains Cython libraries built against versions of
@@ -74,6 +75,7 @@
 
 Package: cython-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: cython

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,10 @@
 	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
 	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3
 
-override_dh_installman:
+override_dh_installman-arch: build/cython.1
+	dh_installman
+
+build/cython.1:
 	: # Generate a manpage using help2man
 	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
 	  help2man --no-info --no-discard-stderr \
@@ -55,7 +58,6 @@
 		bin/cython >| build/cython.1
 	: # Verify that manpage generated nicely -- no Errors reported
 	grep -q 'ImportError:' build/cython.1 && exit 1 || :
-	dh_installman build/cython.1
 
 override_dh_install-indep:
 	dh_install
@@ -110,9 +112,13 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
+	 echo =============== $$P start ===============; \
 	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
-        --no-refnanny -v -v --exclude="(parallel|Debugger|annotate_html|numpy_test)" --work-dir=build/work-dir 2>&1; \
+            --no-refnanny -v -v \
+	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
+	    --work-dir=build/work-dir 2>&1; \
+	 echo =============== $$P done ===============; \
 	done
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g \
 http://pypi.debian.net/Cython/Cython-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cython 0.28.2

=== debian/changelog ===
cython (0.28.2-4ubuntu2) cosmic; urgency=medium

  * Apply from Debian VCS:
    - split tests into py2 and py3 version.
    - fix installation of debug libraries.
  * Apply upstream fix for issue 2525. Closes: #902551.
  * Don't build the cython docs for now, ftbfs with updated sphinx.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Jul 2018 14:54:19 +0200

cython (0.28.2-4ubuntu1) cosmic; urgency=medium

  * Ignore test failures for 3.7 for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Jun 2018 11:51:00 +0200

cython (0.28.2-4build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:45 +0000

cython (0.28.2-4) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:00:22 +0200

cython (0.28.2-3) experimental; urgency=medium

  * Team upload.
  * disable_tests.patch: Disable two tests that fail on several architectures.

 -- Tobias Hansen <thansen@debian.org>  Sun, 10 Jun 2018 17:51:01 +0200

cython (0.28.2-2) experimental; urgency=medium

  * Team upload.
  * No-change upload to trigger rebuild.
    Previous build seem to have failed due to outdated buildd chroots
    after a gcc update.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 10:37:29 +0200

cython (0.28.2-1) experimental; urgency=medium

  * Team upload to Debian experimental.
  * Update Vcs-* fields for salsa git. (Closes: #895095)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Removing redundant Priority field in binary package
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ Julian Rüth ]
  * New upstream release

 -- Tobias Hansen <thansen@debian.org>  Sun, 03 Jun 2018 17:00:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 include /usr/share/dpkg/pkg-info.mk
+
+DEB_BUILD_OPTIONS += nodoc
+export DEB_BUILD_OPTIONS
 
 #  Apparently WGET agent is not favored by upstream's MoinMoin
 WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
@@ -113,12 +116,18 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
-	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
+	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
             --no-refnanny -v -v \
 	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
 	    --work-dir=build/work-dir 2>&1; \
-	 echo =============== $$P done ===============; \
+	 then \
+	   echo =============== $$P done ===============; \
+	 elif "$P" = 3.7; then \
+	   echo =============== $$P done, ignoring failures ===============; \
+	 else \
+	   echo =============== $$P done, test failures ===============; \
+	 fi; \
 	done
 endif

## cython 0.28.4

=== debian/changelog ===
cython (0.28.4-1build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:16 +0000

cython (0.28.4-1) unstable; urgency=medium

  * New upstream release (Closes: #902551)
  * Fix missing installation of some debug libraries. (Closes: #902784)
  * debian/patches/fix-fused-test.patch:
    fix invalid testcase crashing with gcc-8
  * debian/patches/drop-test.patch:
    drop test of behaviour changed in python3.7
    Closes: #903024
  * bump standards version
  * switch to python3-sphinx

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 23 Jul 2018 17:58:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dpkg-dev (>= 1.16.1~),
                python-all-dev (>= 2.6.6-3~), python-all-dbg,
                help2man (>= 1.37.1~),
-               python-sphinx,
+               python3-sphinx,
                python-numpy (>= 1:1.12.1-3.1) <!nocheck>,
                python3-all-dev,
                python3-all-dbg,
                python3-numpy (>= 1:1.12.1-3.1) <!nocheck>,
                gdb,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
 Homepage: http://cython.org/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/cython/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/cython/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/cython
 
 Package: cython
 Architecture: any
@@ -40,7 +40,6 @@
 Package: cython-dbg
 Architecture: any
 Section: debug
-Priority: optional
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
 Description: C-Extensions for Python - debug build
  This package contains Cython libraries built against versions of
@@ -67,7 +66,6 @@
 Package: cython3-dbg
 Architecture: any
 Section: debug
-Priority: optional
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
 Description: C-Extensions for Python 3 - debug build
  This package contains Cython libraries built against versions of

## cython 0.29.2

=== debian/changelog ===
cython (0.29.2-2) unstable; urgency=medium

  * Team upload to Debian unstable.
  * Bump Standards-Version to 4.3.0.

 -- Tobias Hansen <thansen@debian.org>  Mon, 14 Jan 2019 12:19:20 +0000

cython (0.29.2-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream release. (Closes: #916355)
  * Remove patches (applied upstream):
    - fix-fused-test.patch
    - drop-test.patch

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 16:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-all-dbg,
                python3-numpy (>= 1:1.12.1-3.1) <!nocheck>,
                gdb,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Homepage: http://cython.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/cython
